Sign inGet started

Get Long Code Number Details

Get the details of a specific Long code nnumber that you own.
GET
/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}
This endpoint returns the information of a Long Code Number assigned to the workspace given its ID. You may use the EndpointID as well to search for your long code number.
Payload della risposta
id
string
obbligatorio
The unique identifier of the long code number. The endpoint ID is the same.
endpointId
string
obbligatorio
The unique identifier of the endpoint. The long conde ID is the same.
numberString
string
obbligatorio
The phone number in E.164 format.
countryCode
string
obbligatorio
The country code in ISO 3166-1 alpha-2 format.
type
string
The type of long code number.
Possible values: local, national, toll-free, mobile
capabilities
object
obbligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostra attributi secondari
capabilities.voice
object
obbligatorio
Mostra attributi secondari
capabilities.voice.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.voice.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.sms
object
obbligatorio
Mostra attributi secondari
capabilities.sms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.sms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.mms
object
obbligatorio
Mostra attributi secondari
capabilities.mms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.mms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.whatsapp
object
Mostra attributi secondari
capabilities.whatsapp.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.whatsapp.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
order
object
The order that created this long code number. It contains information such as the capabilities, order status and type.
Mostra attributi secondari
order.countryCode
string
obbligatorio
The country code in ISO 3166-1 alpha-2 format.
order.type
string
obbligatorio
The type of long code number.
Possible values: local, national, toll-free, mobile
order.capabilities
array of string
obbligatorio
order.prefix
string
order.status
string
obbligatorio
Possible values: draft, submitted, processing, fulfilled, rejected, cancelled
order.createdAt
string
obbligatorio
order.updatedAt
string
obbligatorio
deprovisionAt
string
The date and time when the long code number should be deprovisioned.
endpoint
object
obbligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostra attributi secondari
endpoint.id
string
obbligatorio
The ID of the endpoint.
endpoint.type
string
obbligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
endpoint.instanceId
string
obbligatorio
The unique identifier of the instance.
endpoint.name
string
obbligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
endpoint.capabilities
array of object
obbligatorio
Mostra attributi secondari
endpoint.capabilities.name
string
obbligatorio
Possible values: sms
endpoint.capabilities.inbound
object
Mostra attributi secondari
endpoint.capabilities.inbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.inbound.issues
array of string
endpoint.capabilities.outbound
object
Mostra attributi secondari
endpoint.capabilities.outbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.outbound.destinationStatuses
object
Mostra attributi secondari
endpoint.capabilities.outbound.destinationStatuses.active
number
endpoint.capabilities.outbound.destinationStatuses.inactive
number
endpoint.capabilities.outbound.destinationStatuses.available
number
endpoint.capabilities.outbound.destinationStatuses.unavailable
number
endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
endpoint.capabilities.outbound.issues
array of string
endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostra attributi secondari
endpoint.dependencies.type
string
Possible values: connector
endpoint.dependencies.connectorId
string
obbligatorio
endpoint.dependencies.connectorTemplateRef
string
obbligatorio
endpoint.dependencies.capabilities
array of string
endpoint.issues
array of string
endpoint.provisioningStatus
string
obbligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostra attributi secondari
endpoint.whatsApp.whatsAppId
string
endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
endpoint.whatsApp.stage
string
endpoint.whatsApp.attempt
integer
endpoint.whatsApp.nextAttemptAt
string
endpoint.whatsApp.verificationExpiresAt
string
endpoint.whatsApp.requestedCodeAt
string
endpoint.whatsApp.createdAt
string
endpoint.whatsApp.updatedAt
string
endpoint.createdAt
string
obbligatorio
endpoint.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'